##### experimental::basic_concurrent_channel::basic_concurrent_channel (3 of 4 overloads)

Move-construct a `experimental::basic_concurrent_channel` from another.

    basic_concurrent_channel(
        basic_concurrent_channel && other);

This constructor moves a channel from one object to another.

###### Parameters

other

  The other `experimental::basic_concurrent_channel` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_concurrent_channel(const executor_type&)` constructor.